Subject: bug#22926: 24.5; `shell-command', `shell-command-default-error-buffer'

From: Drew Adams <[email-masked]>
Date: Sun, 6 Mar 2016 07:14:47 -0800 (PST)

1. Doc string of `shell-command': Mention that you are prompted for the
   command.

2. `shell-command-default-error-buffer': Make it a user option.

3. In general, orient the doc a bit more toward interactive use.
   Especially since the doc suggests that it is especially for
   interactive use:

    In Elisp, you will often be better served by calling `call-process' or
    `start-process' directly, since it offers more control and does not impose
    the use of a shell (with its need to quote arguments).

4. Also, some lines in the doc string are too long (but not by much: 74
   chars max instead of 70).

In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --host=i686-pc-mingw32'